Bots should be able to set whether their edit should be marked as a bot edit.
Closed, ResolvedPublic

Description

Author: Winbots

Description:
Patch to enable bots to specify whether their edit is a bot edit.

Bots should be able to set whether their edit should be marked as a bot edit. I have attached a diff that should enable this. Bots can append &bot=0 to any rollback or edit URL to mark the edit as a normal edit.


Version: 1.12.x
Severity: enhancement

Attached: bots.diff

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 10:04 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz12574.
bzimport created this task.Via LegacyJan 10 2008, 8:47 AM
bzimport added a comment.Via ConduitJan 10 2008, 9:55 AM

cannon.danielc wrote:

Committed in r29539.

bzimport added a comment.Via ConduitSep 17 2008, 3:19 AM

gribeco wrote:

Doesn't seem to work for me (my bot's edits always have the bot flag, even when I set "bot=0")... was that change reverted?

bzimport added a comment.Via ConduitSep 17 2008, 3:28 AM

gribeco wrote:

This may have been reverted in r29540.

bzimport added a comment.Via ConduitNov 22 2008, 7:03 PM

mike.lifeguard+bugs wrote:

(In reply to comment #1)

Committed in r29539.

So, would that patch need to be updated after the refactoring in r29540? That should be done and committed if so.

aaron added a comment.Via ConduitJan 24 2009, 5:37 AM

This appears to be in the code now

aaron added a comment.Via ConduitJan 24 2009, 5:40 AM

(In reply to comment #5)

This appears to be in the code now

Closing

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.